Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.model
Interface Model

All Superinterfaces:
  Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, MuleContextAware, NamedObject, Startable, Stoppable

All Known Implementing Classes:
  AbstractModel, InheritedModel, JcaModel, SedaModel

    public interface Model

extends Lifecycle, MuleContextAware, NamedObject, LifecycleStateEnabled

The `Model` encapsulates and manages the runtime behaviour of a Mule Server instance. It is responsible for maintaining the Service instances and their configuration.

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Method Summary
`EntryPointResolverSet` | `getEntryPointResolverSet()` The entry point resolver is used to determine the method to be called on a service when an event is received for it.
`MessagingExceptionHandler` | `getExceptionListener()` The exception strategy to use by components managed by the model.
`LifecycleAdapterFactory` | `getLifecycleAdapterFactory()` The lifecycle adapter is used by the model to translate Mule lifecycle event to events that components registered with the model understand.
`String` | `getType()` Returns the model type name.
`void` | `setEntryPointResolverSet(EntryPointResolverSet entryPointResolver)` This will be used to build entry points on the components registered with the model.
`void` | `setExceptionListener(MessagingExceptionHandler listener)` The exception strategy to use by components managed by the model.
`void` | `setLifecycleAdapterFactory(LifecycleAdapterFactory lifecycleAdapterFactory)` Sets the lifecycleAdapterFactory on the model.

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Methods inherited from interface org.mule.api.context.MuleContextAware
`setMuleContext`

Methods inherited from interface org.mule.api.NamedObject
`getName, setName`

Methods inherited from interface org.mule.api.lifecycle.LifecycleStateEnabled
`getLifecycleState`

Method Detail

### getType

    String getType()

  Returns the model type name. This is a friendly identifier that is used to look up the SPI class for the model

  Returns:
    the model type

### getEntryPointResolverSet

    EntryPointResolverSet getEntryPointResolverSet()

  The entry point resolver is used to determine the method to be called on a service when an event is received for it.

  Returns:
    Returns the entryPointResolver.

### setEntryPointResolverSet

    void setEntryPointResolverSet(EntryPointResolverSet entryPointResolver)

  This will be used to build entry points on the components registered with the model.

  Parameters:
    `entryPointResolver` - The entryPointResolver to set. This will be used to build entry points on the components registered with the model.

### getLifecycleAdapterFactory

    LifecycleAdapterFactory getLifecycleAdapterFactory()

  The lifecycle adapter is used by the model to translate Mule lifecycle event to events that components registered with the model understand. The `LifecycleAdapterFactory` is used by the model to instanciate LifecycleAdapters.

  Returns:
    Returns the lifecycleAdapterFactory used by this Model.
  See Also:
    `LifecycleAdapterFactory`, `LifecycleAdapter`

### setLifecycleAdapterFactory

    void setLifecycleAdapterFactory(LifecycleAdapterFactory lifecycleAdapterFactory)

  Sets the lifecycleAdapterFactory on the model.

  Parameters:
    `lifecycleAdapterFactory` - The lifecycleAdapterFactory to set on this model.
  See Also:
    `LifecycleAdapterFactory`, `LifecycleAdapter`

### getExceptionListener

    MessagingExceptionHandler getExceptionListener()

  The exception strategy to use by components managed by the model. The exception strategy is used when an exception occurs while processing the current event for a service. A service can define it's own exception strategy, but if it doesn't this implmentation will be used.

  Returns:
    the default exception strategy for this model.
  See Also:
    `MessagingExceptionHandler`

### setExceptionListener

    void setExceptionListener(MessagingExceptionHandler listener)

  The exception strategy to use by components managed by the model. The exception strategy is used when an exception occurs while processing the current event for a service. A service can define it's own exception strategy, but if it doesn't this implmentation will be used.

  Parameters:
    `listener` - the default exception strategy for this model.
  See Also:
    `MessagingExceptionHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.